## tuxpuck 0.7.91

=== Makefile ===
# Makefile for TuxPuck , Copyright Jacob Kroon 2001-2002
VERSION		= 0.7.91
CC		= gcc
CFLAGS		+= `sdl-config --cflags` -D_VERSION=\"$(VERSION)\" \
		   -D_SLEEP=10 -g -Wall -Werror
LDFLAGS		= `sdl-config --libs` -lm -lpng -ljpeg -lz -lvorbisfile -lvorbis
#LDFLAGS		= `sdl-config --libs` -lm /usr/lib/libpng.a -ljpeg -lz \
	   	  /usr/lib/libvorbisfile.a /usr/lib/libvorbis.a \
		  /usr/lib/libogg.a
CSOURCES	= tuxpuck.c video.c audio.c sprite.c font.c timer.c board.c \
	   	  entity.c glass.c scoreboard.c player.c zoom.c png.c jpg.c \
		  intro.c tux.c arcana.c 
INCLUDES	= video.h audio.h sprite.h font.h timer.h board.h entity.h \
	   	  glass.h scoreboard.h player.h

#############################################################

OBJS=$(CSOURCES:.c=.o)

%.o	: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

tuxpuck : $(OBJS)
	cd data; $(MAKE)
	$(CC) $(OBJS) data/libdata.a $(LDFLAGS) -o tuxpuck

clean :
	cd utils; $(MAKE) clean;
	cd data; $(MAKE) clean;
	rm -f *~ $(OBJS) tuxpuck

indent :
	cd utils; $(MAKE) indent;
	indent -c70 -npsl -npcs $(CSOURCES) $(INCLUDES)
	rm -f *~

dist :
	$(MAKE) clean
	mkdir tuxpuck-$(VERSION)
	cp $(CSOURCES) $(INCLUDES) README TODO BUGS THANKS \
		COPYING Makefile tuxpuck-$(VERSION)
	cp -R utils data tuxpuck-$(VERSION)
	tar -czf tuxpuck-$(VERSION).tar.gz tuxpuck-$(VERSION)
	rm -Rf tuxpuck-$(VERSION)

binary :
	$(MAKE)
	strip tuxpuck
	mv tuxpuck tuxpuck_temp
	mkdir tuxpuck
	mv tuxpuck_temp tuxpuck/tuxpuck
	cp README TODO BUGS THANKS COPYING tuxpuck
	tar -czf tuxpuck-$(VERSION).tar.gz tuxpuck
	rm -rf tuxpuck

=== data/Makefile ===
# Makefile for TuxPuck , Copyright Jacob Kroon 2001-2002
CC		= gcc
SOURCES		= pad_png.c puck_png.c tux_png.c glass_png.c scoreboard_png.c \
		  arcana_png.c mousebar_png.c title_jpg.c board_jpg.c \
		  logo_jpg.c crash_ogg.c nock_ogg.c tux_apps_ogg.c \
		  tux_boos_ogg.c tux_eyes_spr.c ghost_fnt.c

#############################################################

OBJS=$(SOURCES:.c=.o)

%.o	: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

libdata.a : $(OBJS)
	ar r libdata.a $(OBJS)
	ranlib libdata.a

$(SOURCES):
	cd ../utils/; $(MAKE)
	../utils/anim   animations/tux/eyes.ac tux_eyes.spr
	../utils/data2c tux_eyes.spr tux_eyes_spr
	rm *.spr
	../utils/ttf2font ttfs/ghost.ttf ghost.fnt 30 30
	../utils/data2c ghost.fnt ghost_fnt
	rm *.fnt
	../utils/data2c jpgs/title.jpg title_jpg
	../utils/data2c jpgs/board.jpg board_jpg
	../utils/data2c jpgs/logo.jpg logo_jpg
	../utils/data2c pngs/pad.png pad_png
	../utils/data2c pngs/puck.png puck_png
	../utils/data2c pngs/tux.png tux_png
	../utils/data2c	pngs/arcana.png arcana_png
	../utils/data2c pngs/scoreboard.png scoreboard_png
	../utils/data2c pngs/mousebar.png mousebar_png
	../utils/data2c pngs/glass.png glass_png
	../utils/data2c pngs/piece1.png piece1_png
	../utils/data2c pngs/piece2.png piece2_png
	../utils/data2c pngs/piece3.png piece3_png
	../utils/data2c pngs/piece4.png piece4_png
	../utils/data2c pngs/piece5.png piece5_png
	mv glass_png.c temp; cat temp piece?_png.c > glass_png.c
	rm piece?_png.c temp
	../utils/data2c sounds/crash.ogg crash_ogg
	../utils/data2c sounds/nock.ogg nock_ogg
	../utils/data2c sounds/tux_apps.ogg tux_apps_ogg
	../utils/data2c sounds/tux_boos.ogg tux_boos_ogg
clean :
	rm -f *~ $(SOURCES) $(OBJS) libdata.a
	rm -rf pngs/.xvpics jpgs/.xvpics

=== utils/Makefile ===
# Makefile for TuxPuck Utils , Copyright Jacob Kroon 2001-2002
CC		= gcc
CFLAGS		= `sdl-config --cflags` -g -Wall -Werror
FT2PREFIX	= /usr/X11R6/
#############################################################

all : ttf2font data2c anim

%.o	: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

ttf2font : ttf2font.c
	$(CC) $(CFLAGS) ttf2font.c -o ttf2font -I$(FT2PREFIX)/include \
	-I$(FT2PREFIX)/include/freetype2 -L$(FT2PREFIX)/lib -lfreetype

data2c : data2c.c
	$(CC) $(CFLAGS) data2c.c -o data2c

anim : anim.c
	$(CC) $(CFLAGS) anim.c -o anim

clean :
	rm -f *~ data2c ttf2font anim

indent :
	indent -c90 -npsl -npcs data2c.c ttf2font.c anim.c
	rm -f *~

## tuxpuck 0.0.8-4

=== debian/changelog ===
tuxpuck (0.0.8-4) unstable; urgency=low

  * Updated to Maemo 4.0

 -- Marcelo Lira <setanta@gmail.com>  Fri, 26 Oct 2007 11:22:00 -0300

tuxpuck (0.0.8-3) unstable; urgency=low

  * Now _really_ updated to Maemo 2.0. 

 -- Eduardo Lima <eduardo.lima@indt.org>  Wed, 23 Aug 2006 19:05:16 -0300

tuxpuck (0.0.8-2) unstable; urgency=low
  * Updated to Maemo 2.0

 -- Talita Menezes <talita.menezes@indt.org>  Tue,  13 Jun 2006 16:00:00 +0300

tuxpuck (0.0.8-1) unstable; urgency=low
  * Initial release
  * Debianized package

 -- Talita Menezes <talita.menezes@indt.org>  Wed,  20 Apr 2005 20:25:24 +0200
 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Wed,  20 Apr 2005 20:25:24 +0200

=== debian/control ===
Source: tuxpuck
Section: user/games
Priority: optional
Maintainer: Talita Menezes
Build-Depends:  libdbus-1-3, libdbus-glib-1-2, libc6 (>= 2.3), libgtk2.0-0 (>= 2.2), libgtk2.0-dev (>= 2.2), libgconf2-6 (>= 2.6), libgconf2-dev (>= 2.6), libpng12-0 (>= 1.2.0), libpango1.0-0 (>= 1.6.0), libglib2.0-dev (>= 2.2), libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
Standards-Version: 0.8.1
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUFAQcO
  CAYODhIRDw0UFBcXFBIdExEbFBgjFQQjExctFQIlHiEyHgwvICIrJxAxJBs/
  JgUxKyY4KCtALzNFOBxLODxIQRdkNwpiSCBdSjJsUQ91TBtgT1OBUhCUUgiS
  Wg6HXyWaYAV0aWqpZwO3ZgW+ehKPgIPPegfIggLdgwbZjALniADOlwzykADt
  lgKpnqK3tx//mwDiqwn8owLauQ7+rQD5sQH/uwD8vQf5xwLJwsPv1CL71gDy
  4Av/4Qv97ABJx5c3AAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1ggX
  FSAClGpVYAAAAd1JREFUKM8tUot2ojAUTC4kMU0pGnywilgqlCLiLqAUCuj/
  /1VvcIeTk0sm9zEDRNlvrmSM2czRrmJTNC1FGHVdSimhhEtpAoymxQgDKWF6
  JdyVhNMnRQEpjJn7NsFfvi1xm025NlLrf+PYj+M49Ndrf+376nzec7xPYN1f
  u3a43+/D2J2Hc9fV6ddpb3qJbRV/dcMwjt3weDzuQ5WnabanxCLeYp9WrTm+
  44WurbP0eNjMTJYnJZ+9Lv34csrzLE/8V84nLTZZKSFwWng5FnmWxZtJhhEA
  5O/nRxCstA1ukudpxJ/nqB3Ij+E8IS0R1Xl6UDb5bwgzVLBwhBTwXhZ5urYV
  YKep4M8nllNSKYFUkSX+Qj7zGDGM9jytxK4oLogkOWy33OhCxkNorXb55dZc
  0lPTfjfZCw7vaW+FedoRuwxzqra9NW1ThzghUo7jaEd7fnSuxqG91YgyRue1
  NFAOFkyqvkOmLMsiC2c2UZyDLaQUwk/S+rupyxr1hRv8lAJQOAABtCNJTxla
  EsfhZg4WUdgPN+BM+e/R4XiMwig87Dn2EtT4hQbI1UfwZ8J8Psczm0hTkFIL
  QCsQQgeBJqDwRwIiLTCGUQtpYxw+zzqUmNEthiEgbU2NwcaYwC+GeTYfuNce
  0wAAAABJRU5ErkJggg==


Package: tuxpuck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup, maemo-select-menu-location
Description: TuxPuck game

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info

config.status:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-stamp

build-stamp: config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tuxpuck.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs changelog
	dh_installdocs
#	dh_installexamples
	dh_install -v --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tuxpuck 0.0.8-5

=== debian/changelog ===
tuxpuck (0.0.8-5) unstable; urgency=low

  * Updated to Diablo.

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat, 25 Oct 2008 20:49:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tuxpuck
 Section: user/games
 Priority: optional
-Maintainer: Talita Menezes
-Build-Depends:  libdbus-1-3, libdbus-glib-1-2, libc6 (>= 2.3), libgtk2.0-0 (>= 2.2), libgtk2.0-dev (>= 2.2), libgconf2-6 (>= 2.6), libgconf2-dev (>= 2.6), libpng12-0 (>= 1.2.0), libpango1.0-0 (>= 1.6.0), libglib2.0-dev (>= 2.2), libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
+Maintainer: Marcelo Lira
+Build-Depends:  libjpeg62-dev, libhildon1-dev, libhildonfm2-dev, libhildonhelp-dev, libdbus-1-3, libdbus-glib-1-2, libc6 (>= 2.3), libgtk2.0-0 (>= 2.2), libgtk2.0-dev (>= 2.2), libgconf2-6 (>= 2.6), libgconf2-dev (>= 2.6), libpng12-0 (>= 1.2.0), libpango1.0-0 (>= 1.6.0), libglib2.0-dev (>= 2.2), libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
 Standards-Version: 0.8.1
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUFAQcO

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,10 @@
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
+endif
+# Use hardware floating point
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -mfpu=vfp -mfloat-abi=softfp
 endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s

## tuxpuck 0.8.2

=== Makefile ===
# Makefile for TuxPuck , Copyright Jacob Kroon 2001-2002
NAME		= tuxpuck
VERSION		= 0.8.2
CC		= gcc
CFLAGS		+= -D_VERSION=\"$(VERSION)\" -g -Wall
CSOURCES	= tuxpuck.c video.c audio.c menu.c sprite.c font.c timer.c \
		  board.c entity.c glass.c scoreboard.c player.c zoom.c png.c \
		  jpg.c intro.c tux.c arcana.c 
INCLUDES	= tuxpuck.h video.h audio.h font.h
	   	  

#############################################################

OBJS=$(CSOURCES:.c=.o)
ifdef COMSPEC
  OBJS += w32icon.o
endif

%.o	: %.c
	$(CC) $(CFLAGS) `sdl-config --cflags` -c -o $@ $<

$(NAME) : $(OBJS)
	cd data; $(MAKE)
	$(CC) $(CFLAGS) $(OBJS) data/libdata.a `sdl-config --libs` -lm -lpng \
	-ljpeg -lz -lvorbisfile -lvorbis -logg -o $(NAME)

w32icon.o : data/icons/tuxpuck.ico
	echo AppIcon ICON "data/icons/tuxpuck.ico" > temp.rc
	windres -i temp.rc -o w32icon.o
	rm temp.rc

clean :
	cd utils; $(MAKE) clean;
	cd data; $(MAKE) clean;
	rm -f *~ $(OBJS) $(NAME)

indent :
	cd utils; $(MAKE) indent;
	indent -br -brs -sob -ce -c50 -npsl -npcs $(CSOURCES) $(INCLUDES)
	rm -f *~

dist :
	$(MAKE) clean
	mkdir $(NAME)-$(VERSION)
	cp $(CSOURCES) $(INCLUDES) readme.txt todo.txt bugs.txt thanks.txt \
	  COPYING Makefile $(NAME)-$(VERSION)
	cp -R man utils data $(NAME)-$(VERSION)
	tar -cf $(NAME)-$(VERSION).tar $(NAME)-$(VERSION)
	tar -f $(NAME)-$(VERSION).tar --delete \
	  `tar -tf $(NAME)-*.tar | grep -w -e ".svn/"`
	gzip -9 $(NAME)-$(VERSION).tar
	rm -Rf $(NAME)-$(VERSION)

install : $(NAME)
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/man/man6
	install -m755 $(NAME) $(DESTDIR)/usr/bin
	install -m644 man/$(NAME).6.gz $(DESTDIR)/usr/man/man6

=== data/Makefile ===
# Makefile for TuxPuck , Copyright Jacob Kroon 2001-2002
CC		= gcc
SOURCES		= pad_png.c puck_png.c tux_png.c glass_png.c scoreboard_png.c \
		  arcana_png.c mousebar_png.c title_jpg.c board_jpg.c \
		  logo_jpg.c crash_ogg.c nock_ogg.c tux_apps_ogg.c \
		  tux_boos_ogg.c tux_eyes_spr.c monos_fnt.c monob_fnt.c

#############################################################

OBJS=$(SOURCES:.c=.o)

%.o	: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

libdata.a : $(OBJS)
	ar r libdata.a $(OBJS)
	ranlib libdata.a

$(SOURCES):
	cd ../utils/; $(MAKE)
	../utils/ttf2font ttfs/mono.ttf monos.fnt 30 30
	../utils/data2c monos.fnt monos_fnt
	../utils/ttf2font ttfs/mono.ttf monob.fnt 45 45
	../utils/data2c monob.fnt monob_fnt
	rm *.fnt
	../utils/data2c jpgs/title.jpg title_jpg
	../utils/data2c jpgs/board.jpg board_jpg
	../utils/data2c jpgs/logo.jpg logo_jpg
	../utils/data2c pngs/pad.png pad_png
	../utils/data2c pngs/puck.png puck_png
	../utils/data2c pngs/scoreboard.png scoreboard_png
	../utils/data2c pngs/mousebar.png mousebar_png
	../utils/data2c pngs/glass.png glass_png
	../utils/data2c pngs/piece1.png piece1_png
	../utils/data2c pngs/piece2.png piece2_png
	../utils/data2c pngs/piece3.png piece3_png
	../utils/data2c pngs/piece4.png piece4_png
	../utils/data2c pngs/piece5.png piece5_png
	mv glass_png.c temp; cat temp piece?_png.c > glass_png.c
	rm piece?_png.c temp
	../utils/data2c sounds/crash.ogg crash_ogg
	../utils/data2c sounds/nock.ogg nock_ogg
	# Tux
	../utils/anim tux/eyes.ac tux_eyes.spr
	../utils/data2c tux_eyes.spr tux_eyes_spr
	rm tux_eyes.spr
	../utils/data2c tux/tux.png tux_png
	../utils/data2c tux/apps.ogg tux_apps_ogg
	../utils/data2c tux/boos.ogg tux_boos_ogg
	# Arcana
	../utils/data2c arcana/arcana.png arcana_png
clean :
	rm -f *~ $(SOURCES) $(OBJS) libdata.a
	rm -rf pngs/.xvpics jpgs/.xvpics

=== utils/Makefile ===
# Makefile for TuxPuck Utils , Copyright Jacob Kroon 2001-2002
CC		= gcc
CFLAGS		+= -g -Wall -Werror
#############################################################

all : ttf2font data2c anim

ttf2font : ttf2font.c
	$(CC) $(CFLAGS) ttf2font.c `freetype-config --cflags --libs` -o ttf2font

data2c : data2c.c
	$(CC) $(CFLAGS) data2c.c `sdl-config --cflags --libs` -o data2c

anim : anim.c
	$(CC) $(CFLAGS) anim.c `sdl-config --cflags --libs` -o anim

clean :
	rm -f *~ data2c ttf2font anim

indent :
	indent -br -brs -sob -ce -c50 -npsl -npcs data2c.c ttf2font.c anim.c
	rm -f *~

=== debian/changelog ===
tuxpuck (0.8.2-12build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:45 +1100

tuxpuck (0.8.2-12build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:30:34 +0000

tuxpuck (0.8.2-12) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.1.
  * Remove debian/watch because the upstream project website has been gone a
    long time ago.

 -- Markus Koschany <apo@debian.org>  Tue, 23 Aug 2022 00:00:46 +0200

tuxpuck (0.8.2-11) unstable; urgency=medium

  * Build-depend on the native libfreetype6-dev dependency. (Closes: #893633)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2021 22:39:11 +0100

tuxpuck (0.8.2-10) unstable; urgency=medium

  * Fix FTCBFS:
      - Build the utils folder with the build architecture compiler.
      - Remove dependency on sdl from utils/*.c.
      - Switch the freetype dependency to the build architecture.
    Thanks to Helmut Grohne for the patch. (Closes: #893633)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2021 13:41:13 +0100

tuxpuck (0.8.2-9) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Dec 2020 22:53:01 +0100

tuxpuck (0.8.2-8) unstable; urgency=medium

  * Use compat level 11.
  * Use the --no-parallel option. Explicitly disable parallel builds to prevent
    a race condition.
  * Drop deprecated menu file and xpm icon.
  * Use https for Format field.
  * Declare compliance with Debian Policy 4.1.3.
  * Replace freetype-config command with pkg-config. (Closes: #892349)

 -- Markus Koschany <apo@debian.org>  Thu, 08 Mar 2018 22:15:21 +0100

tuxpuck (0.8.2-7) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Update my e-mail address.
  * Vcs-fields: Use https and cgit.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Aug 2016 13:02:22 +0200

tuxpuck (0.8.2-6) unstable; urgency=medium

  * Add clang-FTBFS.patch.
    Fix a FTBFS with the clang compiler due to uninitialized variables in
    ttf2font.c. Thanks to Alexander. (Closes: #753064)

 -- Markus Koschany <apo@gambaru.de>  Sat, 05 Jul 2014 22:17:59 +0200

tuxpuck (0.8.2-5) unstable; urgency=medium

  * Readd build-dependency on libfreetype6-dev.
    - Build-depend on libfreetype6-dev to fix FTBFS in Ubuntu due to
      missing ft2build.h.
      Thanks to Logan Rosen for the report. (Closes: #744046)

 -- Markus Koschany <apo@gambaru.de>  Wed, 09 Apr 2014 17:07:20 +0200

tuxpuck (0.8.2-4) unstable; urgency=medium

  * Do not build with --parallel to prevent a race condition on buildd.

 -- Markus Koschany <apo@gambaru.de>  Tue, 01 Apr 2014 10:42:25 +0200

tuxpuck (0.8.2-3) unstable; urgency=medium

  [ Markus Koshany ]
  * New maintainer Debian Games Team.
    - Add myself to Uploaders. (Closes: #739095)
  * Drop dirs file.
  * Simplify debian/rules by using dh sequencer.
  * debian/control:
    - Require debhelper >= 9.
    - Add compat file and use compat level 9 (was 3).
    - Declare compliance with Debian Policy 3.9.5.
    - Add ${misc:Depends} substvar to binary package.
    - Switch from libpng12-dev to libpng-dev. (Closes: #662528).
    - Add VCS and homepage fields.
    - Drop libfreetype6-dev from Build-Depends. Not needed.
    - Improve package description.
  * wrap-and-sort -sa.
  * Switch to source format 3.0 (quilt)
  * Add Makefile.patch and buffer-overflow.patch.
    Instead of using the old 1.0 format, create two separate patches.
  * Update Makefile.patch and do not link against -lz, -lvorbis and -logg to
    avoid useless dependencies.
  * Add $(CPPFLAGS) and $(LDFLAGS) to Makefiles for hardening.
  * Add and update libpng-transition.patch to avoid a FTBFS with the upcoming
    libpng-transition. Thanks to Nobuhiro Iwamatsu for the report and patch!
    (Closes: #649809)
  * Add FTBFS-with-fread.patch to prevent a FTBFS due to possible unused
    results of fread in anim.c. Thanks to Ilya Barygin for the report and patch.
    (Closes: #552022)
  * Update debian/copyright to copyright format 1.0.
  * Drop manpages file.
  * Add install file.
  * Update menu file. Add longtitle and icon entry. Change menu section to
    Games/Action.
  * Add tuxpuck.desktop file.
    - Merge desktop file from Ubuntu and add a comment in German and keywords.
      Thanks to Emmet Hikory. (Closes: #626223)
  * Add tuxpuck.png and tuxpuck.xpm icons created from tux.png.
    (Closes: #738048)
  * Add source/include-binaries.
  * Add watch file even if there is nothing to watch anymore.
  * export DEB_BUILD_MAINT_OPTIONS = hardening=+all.

  [ John Paul Adrian Glaubitz ]
  * Clean up debian/changelog.
  * Make formatting in debian/copyright more consistent.

 -- Markus Koschany <apo@gambaru.de>  Mon, 31 Mar 2014 17:53:25 +0200

tuxpuck (0.8.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change build dependency from libjpeg62-dev to libjpeg-dev. (Closes: #634637)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Nov 2011 17:30:35 +0100

tuxpuck (0.8.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change build dependency from libpng2-dev to libpng12-dev. (Closes: #328335)
  * Add missing quotation marks around "X11" in debian/menu.

 -- Luk Claes <luk@debian.org>  Thu, 27 Oct 2005 20:13:39 +0200

tuxpuck (0.8.2-2) unstable; urgency=low

  * Patch tuxpuck.c to fix non-critical buffer overflow. Thanks to
    Steve Kemp for reporting and providing a patch. (Closes: #203508)

 -- Sven Velt <sven@velt.de>  Thu, 31 Jul 2003 15:08:23 +0200

tuxpuck (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Relink against new libvorbis libraries. (Closes: #185318)

 -- Sven Velt <sven@velt.de>  Fri, 21 Mar 2003 17:03:07 +0000

tuxpuck (0.8.1-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: tuxpuck
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libfreetype6-dev:native,
 libjpeg-dev,
 libpng-dev,
 libsdl1.2-dev,
 libvorbis-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/games-team/tuxpuck.git
Vcs-Browser: https://salsa.debian.org/games-team/tuxpuck
Homepage: https://wiki.debian.org/Games/TuxPuck

Package: tuxpuck
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: air hockey game for single players
 TuxPuck is an air hockey game and clone of the Amiga/Atari ST game Shufflepuck
 Café. The player moves a bat around a table and tries to knock the puck past
 the opponent's defense. After either party has reached 15 points, the match is
 over.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel
